Bug 282552 - plasma desktop crash on add default panel
Summary: plasma desktop crash on add default panel
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-taskbar (show other bugs)
Version: 4.10.0
Platform: openSUSE Linux
: NOR crash
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression
: 279562 281378 282622 282680 282738 282922 283132 283798 284001 284062 284086 284112 284123 284285 284758 285926 285969 286085 286242 286802 287060 287117 287144 288236 288257 289155 289208 289670 289675 289890 290092 290365 290560 290878 290919 291207 291246 291307 291859 292013 292119 292431 292781 294171 294899 296168 297268 297984 297998 301081 302382 306858 308985 309239 313744 314931 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-09-22 12:26 UTC by grglsn765
Modified: 2017-08-12 23:25 UTC (History)
92 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11
Sentry Crash Report:


Attachments
New crash information added by DrKonqi (21.66 KB, text/plain)
2011-10-14 11:17 UTC, fred
Details
New crash information added by DrKonqi (9.74 KB, text/plain)
2011-10-16 17:43 UTC, Lady
Details
New crash information added by DrKonqi (22.63 KB, text/plain)
2011-10-21 13:14 UTC, Kostas
Details
New crash information added by DrKonqi (23.27 KB, text/plain)
2011-10-22 00:07 UTC, Gabriel Speckhahn
Details
New crash information added by DrKonqi (8.33 KB, text/plain)
2011-10-24 17:47 UTC, Daiver
Details
New crash information added by DrKonqi (11.94 KB, text/plain)
2011-10-26 01:43 UTC, c3NTi3Nt
Details
New crash information added by DrKonqi (20.08 KB, text/plain)
2011-10-26 19:33 UTC, manumorini
Details
New crash information added by DrKonqi (11.41 KB, text/plain)
2011-10-26 21:26 UTC, manumorini
Details
New crash information added by DrKonqi (16.46 KB, text/plain)
2011-10-28 08:03 UTC, Hal
Details
New crash information added by DrKonqi (9.29 KB, text/plain)
2011-10-29 09:10 UTC, Marko Hänninen
Details
New crash information added by DrKonqi (11.11 KB, text/plain)
2011-10-29 18:41 UTC, Gabriele Vico
Details
New crash information added by DrKonqi (10.21 KB, text/plain)
2011-10-30 01:27 UTC, Alexis
Details
New crash information added by DrKonqi (14.42 KB, text/plain)
2011-11-02 09:05 UTC, Robert KOFLER
Details
New crash information added by DrKonqi (11.18 KB, text/plain)
2011-11-04 05:20 UTC, Alexandru
Details
New crash information added by DrKonqi (17.67 KB, text/plain)
2011-11-07 17:05 UTC, Gena
Details
New crash information added by DrKonqi (28.06 KB, text/plain)
2011-11-09 11:01 UTC, John
Details
New crash information added by DrKonqi (10.08 KB, text/plain)
2011-11-17 14:32 UTC, Edison Melo
Details
New crash information added by DrKonqi (10.10 KB, text/plain)
2011-11-28 02:51 UTC, pctech101
Details
New crash information added by DrKonqi (12.84 KB, text/plain)
2011-12-01 22:20 UTC, s.zberg
Details
New crash information added by DrKonqi (11.49 KB, text/plain)
2011-12-03 05:27 UTC, DeMus
Details
New crash information added by DrKonqi (12.33 KB, text/plain)
2011-12-04 02:24 UTC, Pranav Prasad
Details
New crash information added by DrKonqi (11.78 KB, text/plain)
2011-12-09 14:39 UTC, prfrink
Details
New crash information added by DrKonqi (11.33 KB, text/plain)
2011-12-19 13:22 UTC, addyjava
Details
New crash information added by DrKonqi (18.38 KB, text/plain)
2012-01-03 16:08 UTC, Westra126
Details
New crash information added by DrKonqi (11.25 KB, text/plain)
2012-01-14 23:55 UTC, rfranr
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (8.97 KB, text/plain)
2012-01-18 01:08 UTC, ahpc
Details
New crash information added by DrKonqi (10.55 KB, text/plain)
2012-02-05 14:03 UTC, fabrizio_serena
Details
New crash information added by DrKonqi (9.30 KB, text/plain)
2012-02-20 13:06 UTC, sayth
Details
New crash information added by DrKonqi (10.59 KB, text/plain)
2012-03-22 06:36 UTC, Nigel
Details
New crash information added by DrKonqi (10.19 KB, text/plain)
2012-07-04 06:25 UTC, james
Details
New crash information added by DrKonqi (9.44 KB, text/plain)
2012-07-31 17:41 UTC, Chris McCray
Details
New crash information added by DrKonqi (9.57 KB, text/plain)
2012-07-31 17:50 UTC, Chris McCray
Details
New crash information added by DrKonqi (9.49 KB, text/plain)
2012-08-15 06:52 UTC, Alexander Rossa
Details
Crash on add default panel with version 4.11.11 (33.82 KB, text/plain)
2015-09-28 04:37 UTC, sompom01
Details

Note You need to log in before you can comment on or make changes to this bug.
Description grglsn765 2011-09-22 12:26:36 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.7.00 (4.7.0) "release 10"
Qt Version: 4.7.4
Operating System: Linux 2.6.37.6-0.7-desktop x86_64
Distribution: "openSUSE 11.4 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
right clicked on the desktop and hit add panel -> add default panel. Then the application crashed. Nothing else was open on the computer

-- Backtrace:
Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7efefc24c760 (LWP 4769))]

Thread 3 (Thread 0x7efede1f0700 (LWP 4795)):
#0  0x00007efef98da503 in poll () from /lib64/libc.so.6
#1  0x00007efef6709114 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007efef6709650 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007efefaed8636 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007efefaeacc22 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007efefaeace35 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007efefadc1be4 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007efefae8e358 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007efefadc44d5 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007efefab33a3f in start_thread () from /lib64/libpthread.so.0
#10 0x00007efef98e367d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7efed234f700 (LWP 5335)):
#0  0x00007efefab3838c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007efeeffa3174 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7efef02bd180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007efeeffa31a9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7efef02cb254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007efefab33a3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007efef98e367d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7efefc24c760 (LWP 4769)):
[KCrash Handler]
#6  QGraphicsLayoutItem::graphicsItem (this=0x60d620) at graphicsview/qgraphicslayoutitem.cpp:919
#7  0x00007efefa634f41 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<value optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007efefa67b401 in QGridLayoutItem::hasDynamicConstraint (this=<value optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007efefa67c6b9 in QGridLayoutEngine::ensureDynamicConstraint (this=0xe35b30) at graphicsview/qgridlayoutengine.cpp:1657
#10 0x00007efefa67c769 in QGridLayoutEngine::hasDynamicConstraint (this=0xe35b30) at graphicsview/qgridlayoutengine.cpp:1677
#11 0x00007efefa6804b1 in QGridLayoutEngine::sizeHint (this=0xe35b30, styleInfo=..., which=Qt::MaximumSize, constraint=...) at graphicsview/qgridlayoutengine.cpp:1134
#12 0x00007efefa608d6a in QGraphicsGridLayout::sizeHint (this=<value optimized out>, which=Qt::MaximumSize, constraint=<value optimized out>) at graphicsview/qgraphicsgridlayout.cpp:656
#13 0x00007efefa634188 in QGraphicsLayoutItemPrivate::effectiveSizeHints (this=0xe35a20, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:169
#14 0x00007efefa634ab1 in QGraphicsLayoutItem::effectiveSizeHint (this=<value optimized out>, which=<value optimized out>, constraint=<value optimized out>) at graphicsview/qgraphicslayoutitem.cpp:818
#15 0x00007efefa6721a1 in QGraphicsWidget::sizeHint (this=<value optimized out>, which=<value optimized out>, constraint=<value optimized out>) at graphicsview/qgraphicswidget.cpp:743
#16 0x00007efefa634276 in QGraphicsLayoutItemPrivate::effectiveSizeHints (this=0x2927300, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:175
#17 0x00007efefa634ab1 in QGraphicsLayoutItem::effectiveSizeHint (this=<value optimized out>, which=<value optimized out>, constraint=<value optimized out>) at graphicsview/qgraphicslayoutitem.cpp:818
#18 0x00007efee2d888f5 in SystemTray::TaskArea::adjustHiddentTasksWidget() () from /usr/lib64/kde4/plasma_applet_systemtray.so
#19 0x00007efee2d8a4cf in SystemTray::TaskArea::addWidgetForTask(SystemTray::Task*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#20 0x00007efee2d8aa46 in SystemTray::TaskArea::addTask(SystemTray::Task*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#21 0x00007efee2d8afd4 in SystemTray::TaskArea::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#22 0x00007efefaec1e8f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#23 0x00007efee2d6dd5f in SystemTray::Manager::taskAdded(SystemTray::Task*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#24 0x00007efee2d6dee3 in SystemTray::Manager::addTask(SystemTray::Task*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#25 0x00007efee2d6e0a4 in SystemTray::Manager::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#26 0x00007efefaec1e8f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#27 0x00007efee2d6e6df in SystemTray::Protocol::taskCreated(SystemTray::Task*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#28 0x00007efee2d75e95 in SystemTray::PlasmoidProtocol::addApplet(QString, int, Plasma::Applet*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#29 0x00007efee2d6dbb6 in SystemTray::Manager::addApplet(QString, Plasma::Applet*) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#30 0x00007efee2d7fc34 in SystemTray::Applet::checkDefaultApplets() () from /usr/lib64/kde4/plasma_applet_systemtray.so
#31 0x00007efee2d80eec in SystemTray::Applet::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/kde4/plasma_applet_systemtray.so
#32 0x00007efefaec17aa in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#33 0x00007efefa67287b in QGraphicsWidget::event (this=0x1a38410, event=0x2baf070) at graphicsview/qgraphicswidget.cpp:1455
#34 0x00007efefa053264 in QApplicationPrivate::notify_helper (this=0x6c36f0, receiver=0x1a38410, e=0x2baf070) at kernel/qapplication.cpp:4481
#35 0x00007efefa05b81a in QApplication::notify (this=<value optimized out>, receiver=0x1a38410, e=0x2baf070) at kernel/qapplication.cpp:4360
#36 0x00007efefbc36736 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#37 0x00007efefaead7cc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#38 0x00007efefaeb0fc5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#39 0x00007efefaed8443 in ?? () from /usr/lib64/libQtCore.so.4
#40 0x00007efef6708bd3 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#41 0x00007efef67093b0 in ?? () from /lib64/libglib-2.0.so.0
#42 0x00007efef6709650 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#43 0x00007efefaed85df in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#44 0x00007efefa0f91ae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#45 0x00007efefaeacc22 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#46 0x00007efefaeace35 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#47 0x00007efefaeb127b in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#48 0x00007efeeb23225d in kdemain () from /usr/lib64/libkdeinit4_plasma-desktop.so
#49 0x0000000000407279 in launch(int, char const*, char const*, char const*, int, char const*, bool, char const*, bool, char const*) ()
#50 0x0000000000407dfd in handle_launcher_request(int, char const*) ()
#51 0x000000000040859a in handle_requests(int) ()
#52 0x00000000004091f0 in main ()

This bug may be a duplicate of or related to bug 281782.

Possible duplicates by query: bug 281782, bug 281575, bug 280549, bug 279478, bug 274819.

Reported using DrKonqi
Comment 1 Shlomi Fish 2011-09-22 16:53:07 UTC
I'm also getting a crash when trying to add the default panel to KDE-4.7.1 on Mageia Linux 2 (Cauldron).
Comment 2 Nicolas L. 2011-09-22 22:06:29 UTC
reproduced too on a kde 4.7.1
Comment 3 Nicolas L. 2011-09-23 22:24:57 UTC
*** Bug 282622 has been marked as a duplicate of this bug. ***
Comment 4 Nicolas L. 2011-09-24 13:43:11 UTC
*** Bug 282680 has been marked as a duplicate of this bug. ***
Comment 5 Rex Dieter 2011-09-27 18:30:07 UTC
*** Bug 282922 has been marked as a duplicate of this bug. ***
Comment 6 Dario Andres 2011-09-29 13:25:23 UTC
[Comment from a bug report cleaner]
There are other related reports with also refer to this crash: bug 264750, and some of the comments of bug 277367.
Bug 282738 has a backtrace which mostly matches the one in this report.
Comment 7 Shlomi Fish 2011-10-10 12:14:07 UTC
(In reply to comment #1)
> I'm also getting a crash when trying to add the default panel to KDE-4.7.1 on
> Mageia Linux 2 (Cauldron).

OK, with KDE-4.7.2 on Mageia Linux 2 (Cauldron), I can reproduce it on my laptop which has this configuration:

<<<<
Acer Aspire 5738DZG laptop with the following specs:

    Intel Pentium(R) Dual-Core CPU T4300 @ 2.10GHz. (x86-64).
    ATI Mobility Radeon™ HD 4570 (r700)
    15.6״ 3D HD LCD Screen.
    3 GB Memory
    320 GB Hard Disk Drive.
    “DVD Super Multi DL drive”
    Acer Nplify™ 802.11b/g/n.
>>>>

( In a new UNIX account. )

On the other hand it appears to be OK on my desktop machine which is a Core i3 machine with an Intel HD Graphics adapter (also running Mageia Linux 2). So it may be related to the radeonhd driver.
Comment 8 fred 2011-10-14 11:17:03 UTC
Created attachment 64512 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed: Was installing a fresh install of Kubuntu

-- Backtrace (Reduced):
#7  0x067f9154 in QGraphicsLayoutItem::graphicsItem (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:920
#8  0x067f9225 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x9cc4538) at graphicsview/qgraphicslayoutitem.cpp:286
#9  0x06845458 in QGridLayoutItem::hasDynamicConstraint (this=0xa383c70) at graphicsview/qgridlayoutengine.cpp:576
#10 0x0684644e in ensureDynamicConstraint (this=0xa3ebae8) at graphicsview/qgridlayoutengine.cpp:1657
#11 QGridLayoutEngine::ensureDynamicConstraint (this=0xa3ebae8) at graphicsview/qgridlayoutengine.cpp:1652
Comment 9 Lady 2011-10-16 17:43:29 UTC
Created attachment 64597 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I just added a new panel and after this, plasma suddenly crashed.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItem::graphicsItem (this=0x2abfd1) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007ff4355ed8f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007ff435633591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007ff4356346b2 in ensureDynamicConstraint (this=0x2f0e830) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x2f0e830) at graphicsview/qgridlayoutengine.cpp:1652
Comment 10 Christoph Feck 2011-10-18 12:48:28 UTC
*** Bug 284285 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2011-10-18 12:48:51 UTC
*** Bug 284123 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2011-10-18 12:49:33 UTC
*** Bug 284112 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2011-10-18 12:50:05 UTC
*** Bug 284086 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2011-10-18 12:50:26 UTC
*** Bug 284062 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2011-10-18 12:50:52 UTC
*** Bug 284001 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2011-10-18 12:51:18 UTC
*** Bug 283798 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2011-10-18 12:51:56 UTC
*** Bug 283132 has been marked as a duplicate of this bug. ***
Comment 18 Kostas 2011-10-21 13:14:51 UTC
Created attachment 64757 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:
Tried to add a default panel on the top of the screen.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x72006f006e005f) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f4160bf5591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f4160bf66b2 in ensureDynamicConstraint (this=0x356ed60) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x356ed60) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f4160bf6769 in QGridLayoutEngine::hasDynamicConstraint (this=0x356ed60) at graphicsview/qgridlayoutengine.cpp:1677
Comment 19 Gabriel Speckhahn 2011-10-22 00:07:24 UTC
Created attachment 64774 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:
Created and empty panel on the top of the desktop and tried adding a system tray widget to the newly created panel.
- Custom settings of the application:
Newly created panel.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f6869070591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f68690716b2 in ensureDynamicConstraint (this=0x6b78010) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x6b78010) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f6869071769 in QGridLayoutEngine::hasDynamicConstraint (this=0x6b78010) at graphicsview/qgridlayoutengine.cpp:1677
Comment 20 Christoph Feck 2011-10-23 09:03:10 UTC
*** Bug 284758 has been marked as a duplicate of this bug. ***
Comment 21 G. Bec 2011-10-23 13:08:34 UTC
Hallo, Christoph Feck, leider bin ich der englischen Sprache nicht
mächtig. Es wäre für mich wertvoller, wenn Probleme in der deutschen
Sprache komuniziert würden - immerhin wa bei der Gründung der
"Vereinigten Staaten" nur knapp zu Gunsten der englischen Sprache
entschieden worden - dies nur am Rande und zur Erinnerung.

Habe ausserdem mit folgendem Problem zu tun:

Wie kann ich den "Mail Dispatcher Agent" deaktivieren, da ich keinerlei
Mail - Programm auf meinem Rechner aus grundsätzlichen Erwägungen
verwende, sowie wahrscheinlich auch nicht das Programm "Akonadi"
verwenden werde.

-----Original Message-----
Date: Sun, 23 Oct 2011 11:03:11 +0200
Subject: [Bug 282552] plasma desktop crash on add default panel
From: Christoph Feck <christoph@maxiom.de>
To: johbec@t-online.de

https://bugs.kde.org/show_bug.cgi?id=282552


Christoph Feck <christoph@maxiom.de> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                          
 |larsen.robin75@gmail.com




--- Comment #20 from Christoph Feck <christoph maxiom de>  2011-10-23
09:03:10 ---
*** Bug 284758 has been marked as a duplicate of this bug. ***
Comment 22 Daiver 2011-10-24 17:47:46 UTC
Created attachment 64844 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.8.0

Add default panel. FC16

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x0000003328c02b91 in QGridLayoutItem::hasDynamicConstraint (this=0x39d6530) at graphicsview/qgridlayoutengine.cpp:576
#8  0x0000003328c03cf2 in ensureDynamicConstraint (this=0x3104c40) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x3104c40) at graphicsview/qgridlayoutengine.cpp:1661
#10 0x0000003328c03da9 in QGridLayoutEngine::hasDynamicConstraint (this=0x3104c40) at graphicsview/qgridlayoutengine.cpp:1686
Comment 23 c3NTi3Nt 2011-10-26 01:43:58 UTC
Created attachment 64874 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

My error also occured when adding a new default panel. I would like to add that I have two monitors on a toshiba Satellite P500-ST5801 with i7 Q720 @ 1.6GHZ with a GeForce GT 330M (using recommended drivers). The second monitor is a ViewSonic VX2450. When the error occured, I was using Skype, on a Windows 7 64 bit virtual machine in VMware 8, and copying files from an NTFS drive to an EXT4 drive, both external. I also had multiple chromium web browsers open.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItem::graphicsItem (this=0x31) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007f124bbf58f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007f124bc3b591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007f124bc3c6b2 in ensureDynamicConstraint (this=0x2d38b90) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x2d38b90) at graphicsview/qgridlayoutengine.cpp:1652
Comment 24 manumorini 2011-10-26 19:33:08 UTC
Created attachment 64902 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I was using firefox and when i add a new panel everything crush, just firefox continue working, but the desktop crush and i don't have any panel right now.

-- Backtrace (Reduced):
#7  0x04cf8255 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x943ba48) at graphicsview/qgraphicslayoutitem.cpp:282
#8  0x04d44458 in QGridLayoutItem::hasDynamicConstraint (this=0x9d081c0) at graphicsview/qgridlayoutengine.cpp:576
#9  0x04d4544e in ensureDynamicConstraint (this=0xa053778) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0xa053778) at graphicsview/qgridlayoutengine.cpp:1652
#11 0x04d454f0 in QGridLayoutEngine::hasDynamicConstraint (this=0xa053778) at graphicsview/qgridlayoutengine.cpp:1677
Comment 25 manumorini 2011-10-26 21:26:18 UTC
Created attachment 64915 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Adding a default panel in the desktop of Kubuntu 11.10 and the desktop crush everytime.

-- Backtrace (Reduced):
#7  0x01966255 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0xb0d4f600) at graphicsview/qgraphicslayoutitem.cpp:282
#8  0x019b2458 in QGridLayoutItem::hasDynamicConstraint (this=0x9d21200) at graphicsview/qgridlayoutengine.cpp:576
#9  0x019b344e in ensureDynamicConstraint (this=0x9b777a8) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x9b777a8) at graphicsview/qgridlayoutengine.cpp:1652
#11 0x019b34f0 in QGridLayoutEngine::hasDynamicConstraint (this=0x9b777a8) at graphicsview/qgridlayoutengine.cpp:1677
Comment 26 Hal 2011-10-28 08:03:09 UTC
Created attachment 64970 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
opening up default panel on desktop. this happens if other apps are open or not.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItem::graphicsItem (this=0x19) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007f95bf49a8f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007f95bf4e0591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007f95bf4e16b2 in ensureDynamicConstraint (this=0x4d687c0) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x4d687c0) at graphicsview/qgridlayoutengine.cpp:1652
Comment 27 Lamarque V. Souza 2011-10-29 01:30:58 UTC
*** Bug 282738 has been marked as a duplicate of this bug. ***
Comment 28 Marko Hänninen 2011-10-29 09:10:22 UTC
Created attachment 65008 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I connected to a new display via HDMI, and configured KDE to use it. Then I tried to add a new default panel through desktop context menu, and Plasma crashed immediately after this. The new connected display has different resolution than the older, and it was configured to be right of the older one.

- Unusual behavior I noticed:

Plasma crashed

-- Backtrace (Reduced):
#6  0x00007f6c3e6e4840 in QGraphicsLayoutItem::graphicsItem() const () from /usr/lib64/qt4/libQtGui.so.4
#7  0x00007f6c3e6e48f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth() const () from /usr/lib64/qt4/libQtGui.so.4
#8  0x00007f6c3e72aec1 in QGridLayoutItem::hasDynamicConstraint() const () from /usr/lib64/qt4/libQtGui.so.4
#9  0x00007f6c3e72c1c9 in QGridLayoutEngine::ensureDynamicConstraint() const () from /usr/lib64/qt4/libQtGui.so.4
#10 0x00007f6c3e72c279 in QGridLayoutEngine::hasDynamicConstraint() const () from /usr/lib64/qt4/libQtGui.so.4
Comment 29 Gabriele Vico 2011-10-29 18:41:31 UTC
Created attachment 65021 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Desktop > right click > unlock objects > add a new default panel > crash

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007fb1c4f82591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007fb1c4f836b2 in ensureDynamicConstraint (this=0x3b1e310) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x3b1e310) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007fb1c4f83769 in QGridLayoutEngine::hasDynamicConstraint (this=0x3b1e310) at graphicsview/qgridlayoutengine.cpp:1677
Comment 30 Alexis 2011-10-30 01:27:36 UTC
Created attachment 65030 [details]
New crash information added by DrKonqi

plasma-netbook (0.2) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I was adding the plasmoid "Notifications" kde panel

-- Backtrace (Reduced):
#7  0xb61ae154 in QGraphicsLayoutItem::graphicsItem (this=0xc0180000) at graphicsview/qgraphicslayoutitem.cpp:920
#8  0xb61ae225 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x9b22578) at graphicsview/qgraphicslayoutitem.cpp:286
#9  0xb61fa458 in QGridLayoutItem::hasDynamicConstraint (this=0x9b2cfa0) at graphicsview/qgridlayoutengine.cpp:576
#10 0xb61fb44e in ensureDynamicConstraint (this=0x9b25df8) at graphicsview/qgridlayoutengine.cpp:1657
#11 QGridLayoutEngine::ensureDynamicConstraint (this=0x9b25df8) at graphicsview/qgridlayoutengine.cpp:1652
Comment 31 Robert KOFLER 2011-11-02 09:05:57 UTC
Created attachment 65145 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
same here, right click on desktop icon (upper right corner), because I wanted to add a new default panel -> crash
running on ubuntu 11.10 with nvidia (I suppose you see all this in debuginfo)
nevertheless KDE is greate :) (switching from gnome 3.0)

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x74756374726f) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f44fbbae591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f44fbbaf6b2 in ensureDynamicConstraint (this=0x4128f40) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x4128f40) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f44fbbaf769 in QGridLayoutEngine::hasDynamicConstraint (this=0x4128f40) at graphicsview/qgridlayoutengine.cpp:1677
Comment 32 Alexandru 2011-11-04 05:20:24 UTC
Created attachment 65214 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
Trying to add a new default panel on my monitor. This happens every single time and as of yet I have  not been able to add a default panel to my dual monitor.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f54caf2f591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f54caf306b2 in ensureDynamicConstraint (this=0x323d700) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x323d700) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f54caf30769 in QGridLayoutEngine::hasDynamicConstraint (this=0x323d700) at graphicsview/qgridlayoutengine.cpp:1677
Comment 33 Lamarque V. Souza 2011-11-06 19:28:03 UTC
*** Bug 285926 has been marked as a duplicate of this bug. ***
Comment 34 Lamarque V. Souza 2011-11-07 14:10:57 UTC
*** Bug 285969 has been marked as a duplicate of this bug. ***
Comment 35 Gena 2011-11-07 17:05:13 UTC
Created attachment 65355 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
Added system tray widget, after that Plasma crashed.
- Unusual behavior I noticed:
Always crashes after trying to add standard panel or system tray

-- Backtrace (Reduced):
#6  QGraphicsLayoutItem::graphicsItem (this=0x591) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007f55157268f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007f551576c591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007f551576d6b2 in ensureDynamicConstraint (this=0x42d4660) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x42d4660) at graphicsview/qgridlayoutengine.cpp:1652
Comment 36 John 2011-11-09 11:01:34 UTC
Created attachment 65437 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
Click derecho /añadir panel  /panel predeterminado

- Unusual behavior I noticed:
La aplicación cierra el sistema de KDE y ma obliga a reiniciar el equipo o bien, me forza a iniciar secion de nuevo

- Custom settings of the application:

-- Backtrace (Reduced):
#7  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:280
#8  0x02ca7458 in QGridLayoutItem::hasDynamicConstraint (this=0xb0a9e88) at graphicsview/qgridlayoutengine.cpp:576
#9  0x02ca844e in ensureDynamicConstraint (this=0xb1d8ae0) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0xb1d8ae0) at graphicsview/qgridlayoutengine.cpp:1652
#11 0x02ca84f0 in QGridLayoutEngine::hasDynamicConstraint (this=0xb1d8ae0) at graphicsview/qgridlayoutengine.cpp:1677
Comment 37 Aaron J. Seigo 2011-11-09 16:19:11 UTC
Git commit 2d1deb4234aa3d43e2a7cc48fc1f6936bd2ff97c by Aaron Seigo.
Committed on 09/11/2011 at 17:11.
Pushed by aseigo into branch 'KDE/4.7'.

since the widget is being deleted, remove it from the collection

BUG:286197
BUG:286195
BUG:264750
BUG:277367
BUG:280326
BUG:280072
BUG:282552
BUG:283061
BUG:284603
BUG:286177
BUG:286181

M  +2    -2    plasma/generic/applets/systemtray/core/task.cpp

http://commits.kde.org/kde-workspace/2d1deb4234aa3d43e2a7cc48fc1f6936bd2ff97c
Comment 38 Lamarque V. Souza 2011-11-10 06:44:23 UTC
*** Bug 286242 has been marked as a duplicate of this bug. ***
Comment 39 Edison Melo 2011-11-17 14:32:09 UTC
Created attachment 65782 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

Click on desktop, add widgets, default panel

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x76006f0068005f) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f602c593f81 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f602c595092 in ensureDynamicConstraint (this=0x2137b40) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x2137b40) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f602c595149 in QGridLayoutEngine::hasDynamicConstraint (this=0x2137b40) at graphicsview/qgridlayoutengine.cpp:1677
Comment 40 Aaron J. Seigo 2011-11-21 09:54:48 UTC
*** Bug 287144 has been marked as a duplicate of this bug. ***
Comment 41 Aaron J. Seigo 2011-11-21 09:55:04 UTC
*** Bug 286802 has been marked as a duplicate of this bug. ***
Comment 42 Aaron J. Seigo 2011-11-21 09:55:15 UTC
*** Bug 287117 has been marked as a duplicate of this bug. ***
Comment 43 Aaron J. Seigo 2011-11-21 09:55:35 UTC
*** Bug 287060 has been marked as a duplicate of this bug. ***
Comment 44 Aaron J. Seigo 2011-11-21 10:07:56 UTC
*** Bug 279562 has been marked as a duplicate of this bug. ***
Comment 45 Aaron J. Seigo 2011-11-21 10:08:26 UTC
*** Bug 281378 has been marked as a duplicate of this bug. ***
Comment 46 pctech101 2011-11-28 02:51:30 UTC
Created attachment 66137 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

I right clicked Desktop widget in corner and left click add panel and clicking default panel

-- Backtrace (Reduced):
#6  0xb6933cd4 in QGraphicsLayoutItem::graphicsItem (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0xb6933da5 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x91e7578) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0xb6980558 in QGridLayoutItem::hasDynamicConstraint (this=0x918d9c0) at graphicsview/qgridlayoutengine.cpp:576
#9  0xb69815be in ensureDynamicConstraint (this=0x91a3ce0) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x91a3ce0) at graphicsview/qgridlayoutengine.cpp:1652
Comment 47 Anne-Marie Mahfouf 2011-11-30 08:35:52 UTC
*** Bug 286085 has been marked as a duplicate of this bug. ***
Comment 48 s.zberg 2011-12-01 22:20:26 UTC
Created attachment 66283 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
Clicking on the "Toolbox" icon, upper right corner, and selecting "adding a default dashboard".
It crashed with a black screen and then, nothing appears

-- Backtrace (Reduced):
#6  QGraphicsLayoutItem::graphicsItem (this=0xffffc19032050001) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007f460a8038f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007f460a849591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007f460a84a6b2 in ensureDynamicConstraint (this=0x4a4ba30) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x4a4ba30) at graphicsview/qgridlayoutengine.cpp:1652
Comment 49 DeMus 2011-12-03 05:27:42 UTC
Created attachment 66328 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
The computer booted with a completely empty desktop. Everythings was gone after having had another but(#288055). I tried to add a new default panel and the desktop crashed.
- Unusual behavior I noticed:

I saw a new empty panel with the size of my lower panel (taskbar) on top of the screen. My lower panel suddenly was in the middle of the screen covering the window of the crash reporting assistant.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItem::graphicsItem (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007f40c3b7b8f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007f40c3bc1591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007f40c3bc26b2 in ensureDynamicConstraint (this=0x3650080) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x3650080) at graphicsview/qgridlayoutengine.cpp:1652
Comment 50 Pranav Prasad 2011-12-04 02:24:09 UTC
Created attachment 66353 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
i just right clicked on the desktop and went for add panel >> default panel and as i clicked it the screen went black for a few seconds, no more applications were running.
- Unusual behavior I noticed:
The screen went black and i didnt let me to access anything untill it all ended up.

-- Backtrace (Reduced):
#7  0x074fd154 in QGraphicsLayoutItem::graphicsItem (this=0x6e656d65) at graphicsview/qgraphicslayoutitem.cpp:920
#8  0x074fd225 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x9d09d78) at graphicsview/qgraphicslayoutitem.cpp:286
#9  0x07549458 in QGridLayoutItem::hasDynamicConstraint (this=0x9c90350) at graphicsview/qgridlayoutengine.cpp:576
#10 0x0754a44e in ensureDynamicConstraint (this=0x9cb5bf0) at graphicsview/qgridlayoutengine.cpp:1657
#11 QGridLayoutEngine::ensureDynamicConstraint (this=0x9cb5bf0) at graphicsview/qgridlayoutengine.cpp:1652
Comment 51 Beat Wolf 2011-12-04 22:59:03 UTC
*** Bug 288236 has been marked as a duplicate of this bug. ***
Comment 52 Beat Wolf 2011-12-05 12:20:17 UTC
*** Bug 288257 has been marked as a duplicate of this bug. ***
Comment 53 prfrink 2011-12-09 14:39:31 UTC
Created attachment 66550 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

I was trying to add a new default panel.

- Unusual behavior I noticed: The panel that was supposed to be on my screen before was not there. Before the crash, I tried to open the system settings but I could not see the window. After the crash, I was able to see the settings window (and the debugger) but everything else was black.

-- Backtrace (Reduced):
#7  0x02dfd157 in QGraphicsLayoutItem::graphicsItem (this=0x244dfa0) at graphicsview/qgraphicslayoutitem.cpp:920
#8  0x02dfd225 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x9f75038) at graphicsview/qgraphicslayoutitem.cpp:286
#9  0x02e49458 in QGridLayoutItem::hasDynamicConstraint (this=0x9f57400) at graphicsview/qgridlayoutengine.cpp:576
#10 0x02e4a44e in ensureDynamicConstraint (this=0x9f73598) at graphicsview/qgridlayoutengine.cpp:1657
#11 QGridLayoutEngine::ensureDynamicConstraint (this=0x9f73598) at graphicsview/qgridlayoutengine.cpp:1652
Comment 54 Lamarque V. Souza 2011-12-17 13:29:07 UTC
*** Bug 289155 has been marked as a duplicate of this bug. ***
Comment 55 Lamarque V. Souza 2011-12-17 18:41:42 UTC
*** Bug 289208 has been marked as a duplicate of this bug. ***
Comment 56 addyjava 2011-12-19 13:22:05 UTC
Created attachment 66901 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed: adding a default panel to plasma desktop on Kubuntu

-- Backtrace (Reduced):
#7  0x01b8c157 in QGraphicsLayoutItem::graphicsItem (this=0x27a9f14) at graphicsview/qgraphicslayoutitem.cpp:920
#8  0x01b8c225 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0xaccc620) at graphicsview/qgraphicslayoutitem.cpp:286
#9  0x01bd8458 in QGridLayoutItem::hasDynamicConstraint (this=0xaba52c0) at graphicsview/qgridlayoutengine.cpp:576
#10 0x01bd944e in ensureDynamicConstraint (this=0xadd1eb8) at graphicsview/qgridlayoutengine.cpp:1657
#11 QGridLayoutEngine::ensureDynamicConstraint (this=0xadd1eb8) at graphicsview/qgridlayoutengine.cpp:1652
Comment 57 Anne-Marie Mahfouf 2011-12-23 15:17:49 UTC
*** Bug 289670 has been marked as a duplicate of this bug. ***
Comment 58 Anne-Marie Mahfouf 2011-12-23 16:08:58 UTC
*** Bug 289675 has been marked as a duplicate of this bug. ***
Comment 59 Jekyll Wu 2011-12-27 02:10:50 UTC
*** Bug 289890 has been marked as a duplicate of this bug. ***
Comment 60 Anne-Marie Mahfouf 2011-12-29 14:24:22 UTC
*** Bug 290092 has been marked as a duplicate of this bug. ***
Comment 61 Anne-Marie Mahfouf 2012-01-02 09:08:26 UTC
*** Bug 290365 has been marked as a duplicate of this bug. ***
Comment 62 Westra126 2012-01-03 16:08:53 UTC
Created attachment 67393 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:
I made click in the option add default panel

-- Backtrace (Reduced):
#6  0xb6a26d67 in QGraphicsLayoutItem::graphicsItem (this=0x805432c) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0xb6a26e35 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x9809168) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0xb6a735e8 in QGridLayoutItem::hasDynamicConstraint (this=0x95cb4e8) at graphicsview/qgridlayoutengine.cpp:576
#9  0xb6a7464e in ensureDynamicConstraint (this=0x970a418) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x970a418) at graphicsview/qgridlayoutengine.cpp:1652
Comment 63 Anne-Marie Mahfouf 2012-01-04 07:54:18 UTC
*** Bug 290560 has been marked as a duplicate of this bug. ***
Comment 64 Thijs 2012-01-07 14:19:56 UTC
*** Bug 290878 has been marked as a duplicate of this bug. ***
Comment 65 Anne-Marie Mahfouf 2012-01-08 09:42:44 UTC
*** Bug 290919 has been marked as a duplicate of this bug. ***
Comment 66 Christoph Feck 2012-01-10 21:55:09 UTC
*** Bug 291207 has been marked as a duplicate of this bug. ***
Comment 67 Thijs 2012-01-11 09:28:55 UTC
*** Bug 291246 has been marked as a duplicate of this bug. ***
Comment 68 Lamarque V. Souza 2012-01-11 23:21:44 UTC
*** Bug 291307 has been marked as a duplicate of this bug. ***
Comment 69 rfranr 2012-01-14 23:55:48 UTC
Created attachment 67837 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed

In fresh install, install flgrx and add default panel

-- Backtrace (Reduced):
#6  0x00007f2bc5323844 in QGraphicsLayoutItem::graphicsItem (this=0x16388a0) at graphicsview/qgraphicslayoutitem.cpp:920
#7  0x00007f2bc53238f1 in QGraphicsLayoutItemPrivate::hasHeightForWidth (this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:286
#8  0x00007f2bc5369591 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#9  0x00007f2bc536a6b2 in ensureDynamicConstraint (this=0x224bf60) at graphicsview/qgridlayoutengine.cpp:1657
#10 QGridLayoutEngine::ensureDynamicConstraint (this=0x224bf60) at graphicsview/qgridlayoutengine.cpp:1652
Comment 70 ahpc 2012-01-18 01:08:28 UTC
Created attachment 67950 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 71 ahpc 2012-01-18 01:08:28 UTC
Created attachment 67951 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 72 ahpc 2012-01-18 01:08:37 UTC
Created attachment 67952 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 73 ahpc 2012-01-18 01:08:37 UTC
Created attachment 67953 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 74 ahpc 2012-01-18 01:08:37 UTC
Created attachment 67954 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 75 ahpc 2012-01-18 01:08:37 UTC
Created attachment 67955 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 76 ahpc 2012-01-18 01:08:38 UTC
Created attachment 67956 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed: Trying to call the Default Panel (Plasma), adding a new panel but it failed everytime. Just (for mistake) made click on the "(red) x" of the original panel and never be able to recover it on my Kde desktop.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:346
#7  0xb6948bf8 in QGridLayoutItem::hasDynamicConstraint (this=0x9ae94c8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb6949cae in ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1666
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1661
#10 0xb6949d50 in QGridLayoutEngine::hasDynamicConstraint (this=0x98248c8) at graphicsview/qgridlayoutengine.cpp:1686
Comment 77 Anne-Marie Mahfouf 2012-01-20 07:23:22 UTC
*** Bug 292013 has been marked as a duplicate of this bug. ***
Comment 78 Thijs 2012-01-21 16:49:20 UTC
*** Bug 292119 has been marked as a duplicate of this bug. ***
Comment 79 Thijs 2012-01-21 16:51:41 UTC
I see a fair amount of 4.7.4 reports here. Are we sure this one is done? Reopening
Comment 80 Anne-Marie Mahfouf 2012-01-26 07:30:17 UTC
*** Bug 292431 has been marked as a duplicate of this bug. ***
Comment 81 Thijs 2012-01-29 11:47:27 UTC
*** Bug 291859 has been marked as a duplicate of this bug. ***
Comment 82 Thijs 2012-01-29 11:47:36 UTC
*** Bug 292781 has been marked as a duplicate of this bug. ***
Comment 83 fabrizio_serena 2012-02-05 14:03:24 UTC
Created attachment 68524 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:
start system, clik on desktop button, select add panel->default and suddenly the application crashes.
after that the voice "add panel" disappear from the bottom menu.
P.S. option vga 0x360, at sistem option start, hang the computer.

- Unusual behavior I noticed:
A quarter size of display window positioned on the top left with multicpolr dot pattern.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0xb60a0000) at graphicsview/qgraphicslayoutitem.cpp:282
#7  0xb69a05e8 in QGridLayoutItem::hasDynamicConstraint (this=0x8bfd9b8) at graphicsview/qgridlayoutengine.cpp:576
#8  0xb69a164e in ensureDynamicConstraint (this=0x8c55908) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x8c55908) at graphicsview/qgridlayoutengine.cpp:1652
#10 0xb69a16f0 in QGridLayoutEngine::hasDynamicConstraint (this=0x8c55908) at graphicsview/qgridlayoutengine.cpp:1677
Comment 84 Jekyll Wu 2012-02-15 19:04:02 UTC
*** Bug 294171 has been marked as a duplicate of this bug. ***
Comment 85 sayth 2012-02-20 13:06:48 UTC
Created attachment 68951 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:
Attempting to add an new default panel whilst the current panel was open.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007fe8591e4021 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007fe8591e5132 in ensureDynamicConstraint (this=0x1fa5b80) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x1fa5b80) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007fe8591e51e9 in QGridLayoutEngine::hasDynamicConstraint (this=0x1fa5b80) at graphicsview/qgridlayoutengine.cpp:1677
Comment 86 Christoph Feck 2012-02-25 17:39:49 UTC
From what I see, there is only one user who reported this bug with KDE 4.7.4. Since this is an openSUSE 12.1 system, which ships KDE 4.7.2, he probably used an intermediate unstable repo.

Marking as fixed again.
Comment 87 Jekyll Wu 2012-02-27 07:42:11 UTC
*** Bug 294899 has been marked as a duplicate of this bug. ***
Comment 88 Jekyll Wu 2012-03-17 00:13:15 UTC
*** Bug 296168 has been marked as a duplicate of this bug. ***
Comment 89 Nigel 2012-03-22 06:36:55 UTC
Created attachment 69799 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed

As all the others -  Default panel was missing on reboot, tried to add it back and it's crashed.

This is a fresh Suse install:

12.1 (x86_64)
KDE 4.7.2 release 5

-- Backtrace (Reduced):
#7  0x00007ff65fd0987a in QGraphicsLayoutItemPrivate::effectiveSizeHints (this=0x159e130, constraint=...) at graphicsview/qgraphicslayoutitem.cpp:169
#8  0x00007ff65fd0a131 in effectiveSizeHint (constraint=<optimized out>, which=<optimized out>, this=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:818
#9  QGraphicsLayoutItem::effectiveSizeHint (this=<optimized out>, which=<optimized out>, constraint=<optimized out>) at graphicsview/qgraphicslayoutitem.cpp:810
#10 0x00007ff65fd5016b in sizeHint (constraint=..., which=Qt::PreferredSize, this=0x1688260) at graphicsview/qgridlayoutengine.cpp:595
#11 QGridLayoutItem::box (this=0x1688260, orientation=<optimized out>, constraint=<optimized out>) at graphicsview/qgridlayoutengine.cpp:622
Comment 90 Jekyll Wu 2012-04-02 07:41:17 UTC
*** Bug 297268 has been marked as a duplicate of this bug. ***
Comment 91 Christoph Feck 2012-04-12 20:05:12 UTC
*** Bug 297984 has been marked as a duplicate of this bug. ***
Comment 92 g.foglino 2012-04-29 21:35:10 UTC
Application: plasma-desktop (0.3)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-40-generic i686
Distribution: Ubuntu 10.04.4 LTS

-- Information about the crash:
<Stavo tentando di inserire un oggetto del pannello e mi è sparita tutta la barra con il tasto "k", le applicazioni aperte, l'area di 
 notifica. Mi funziona tutto ma senza la suddetta barra.>

 -- Backtrace:
Application: Spazio di lavoro di Plasma (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77beaa0 (LWP 1329))]

Thread 2 (Thread 0xaadf9b70 (LWP 1335)):
#0  0x009afe16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x004df6fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x004e4825 in QTimerInfoList::updateCurrentTime (this=0xa2adc34) at kernel/qeventdispatcher_unix.cpp:340
#3  0x004e486a in QTimerInfoList::timerWait (this=0xa2adc34, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x004e2818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaadf90cc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x004e28a5 in timerSourcePrepare (source=0x0, timeout=0x9b3ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x01358aca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x01358ee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x013594b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x004e260f in QEventDispatcherGlib::processEvents (this=0xa2ac2e0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x004b5059 in QEventLoop::processEvents (this=0xaadf9290, flags=) at kernel/qeventloop.cpp:149
#11 0x004b54aa in QEventLoop::exec (this=0xaadf9290, flags=...) at kernel/qeventloop.cpp:201
#12 0x003b15a8 in QThread::exec (this=0xa2aa558) at thread/qthread.cpp:487
#13 0x00494c1b in QInotifyFileSystemWatcherEngine::run (this=0xa2aa558) at io/qfilesystemwatcher_inotify.cpp:248
#14 0x003b432e in QThreadPrivate::start (arg=0xa2aa558) at thread/qthread_unix.cpp:248
#15 0x009be96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x0224098e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb77beaa0 (LWP 1329)):
[KCrash Handler]
#6  0x0331ff4a in QGraphicsItem::isPanel (this=0x9f8c060) at graphicsview/qgraphicsitem.cpp:1661
#7  0x02cbe4dc in QApplicationPrivate::notify_helper (this=0x9ed64b8, receiver=0x9f8c060, e=0xbf8b5614) at kernel/qapplication.cpp:4300
#8  0x02cc505e in QApplication::notify (this=0x9ed0428, receiver=0x9f8c060, e=0xbf8b5614) at kernel/qapplication.cpp:3704
#9  0x0114240a in KApplication::notify (this=0x9ed0428, receiver=0x9f8c060, event=0xbf8b5614) at ../../kdeui/kernel/kapplication.cpp:302
#10 0x004b6a3b in QCoreApplication::notifyInternal (this=0x9ed0428, receiver=0x9f8c060, event=0xbf8b5614) at kernel/qcoreapplication.cpp:704
#11 0x02ccd93e in QCoreApplication::sendEvent (receiver=0x9f8c060, event=0x9f46a20) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#12 0x0338905c in QGraphicsView::viewportEvent (this=0xa2cc4b8, event=0xbf8b5614) at graphicsview/qgraphicsview.cpp:2692
#13 0x031b5c65 in QAbstractScrollAreaPrivate::viewportEvent (this=0xa2e3808, o=0xa2e39b8, e=0xbf8b5614) at widgets/qabstractscrollarea_p.h:100
#14 QAbstractScrollAreaFilter::eventFilter (this=0xa2e3808, o=0xa2e39b8, e=0xbf8b5614) at widgets/qabstractscrollarea_p.h:116
#15 0x004b5cda in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9ed64b8, receiver=0xa2e39b8, event=0xbf8b5614) at kernel/qcoreapplication.cpp:819
#16 0x02cbe4b9 in QApplicationPrivate::notify_helper (this=0x9ed64b8, receiver=0xa2e39b8, e=0xbf8b5614) at kernel/qapplication.cpp:4296
#17 0x02cc50f9 in QApplication::notify (this=0x9ed0428, receiver=0xa2e39b8, e=0xbf8b5614) at kernel/qapplication.cpp:4265
#18 0x0114240a in KApplication::notify (this=0x9ed0428, receiver=0xa2e39b8, event=0xbf8b5614) at ../../kdeui/kernel/kapplication.cpp:302
#19 0x004b6a3b in QCoreApplication::notifyInternal (this=0x9ed0428, receiver=0xa2e39b8, event=0xbf8b5614) at kernel/qcoreapplication.cpp:704
#20 0x02d1c8c5 in QCoreApplication::sendEvent (this=0xa2cc4b8, event=0xbf8b5614) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#21 QWidget::event (this=0xa2cc4b8, event=0xbf8b5614) at kernel/qwidget.cpp:8254
#22 0x03118fd3 in QFrame::event (this=0xa2cc4b8, e=0xbf8b5614) at widgets/qframe.cpp:557
#23 0x031b3d97 in QAbstractScrollArea::event (this=0xa2cc4b8, e=0xbf8b5614) at widgets/qabstractscrollarea.cpp:989
#24 0x0338b216 in QGraphicsView::event (this=0xa2cc4b8, event=0xbf8b5614) at graphicsview/qgraphicsview.cpp:2666
#25 0x02cbe4dc in QApplicationPrivate::notify_helper (this=0x9ed64b8, receiver=0xa2cc4b8, e=0xbf8b5614) at kernel/qapplication.cpp:4300
#26 0x02cc50f9 in QApplication::notify (this=0x9ed0428, receiver=0xa2cc4b8, e=0xbf8b5614) at kernel/qapplication.cpp:4265
#27 0x0114240a in KApplication::notify (this=0x9ed0428, receiver=0xa2cc4b8, event=0xbf8b5614) at ../../kdeui/kernel/kapplication.cpp:302
#28 0x004b6a3b in QCoreApplication::notifyInternal (this=0x9ed0428, receiver=0xa2cc4b8, event=0xbf8b5614) at kernel/qcoreapplication.cpp:704
#29 0x02cc8a86 in QCoreApplication::sendSpontaneousEvent (act=0xa2cc4b8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#30 QApplication::setActiveWindow (act=0xa2cc4b8) at kernel/qapplication.cpp:2450
#31 0x02d4ede7 in QApplication::x11ProcessEvent (this=0x9ed0428, event=0xbf8b59ec) at kernel/qapplication_x11.cpp:3420
#32 0x02d7e60a in x11EventSourceDispatch (s=0x9ed91a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#33 0x013555e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#34 0x013592d8 in ?? () from /lib/libglib-2.0.so.0
#35 0x013594b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#36 0x004e25d5 in QEventDispatcherGlib::processEvents (this=0x9ed6360, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#37 0x02d7e135 in QGuiEventDispatcherGlib::processEvents (this=0x9ed6360, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#38 0x004b5059 in QEventLoop::processEvents (this=0xbf8b5ce4, flags=) at kernel/qeventloop.cpp:149
#39 0x004b54aa in QEventLoop::exec (this=0xbf8b5ce4, flags=...) at kernel/qeventloop.cpp:201
#40 0x004b969f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#41 0x02cbe577 in QApplication::exec () at kernel/qapplication.cpp:3579
#42 0x03fed05e in kdemain (argc=1, argv=0x9ec5300) at ../../../../plasma/desktop/shell/main.cpp:112
#43 0x0804e133 in launch (argc=<value optimized out>, _name=<value optimized out>, args=<value optimized out>, cwd=0x0, envc=0, envs=0x9e88220 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x8051465 "0") at ../../kinit/kinit.cpp:717
#44 0x0804ec6d in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at ../../kinit/kinit.cpp:1209
#45 0x0804f190 in handle_requests (waitForPid=<value optimized out>) at ../../kinit/kinit.cpp:1402
#46 0x0804fe4f in main (argc=4, argv=0xbf8b6794, envp=0xbf8b67a8) at ../../kinit/kinit.cpp:1845
Comment 93 Jekyll Wu 2012-05-26 18:47:37 UTC
*** Bug 297998 has been marked as a duplicate of this bug. ***
Comment 94 Jekyll Wu 2012-06-03 02:29:22 UTC
*** Bug 301081 has been marked as a duplicate of this bug. ***
Comment 95 Jekyll Wu 2012-06-23 00:17:39 UTC
*** Bug 302382 has been marked as a duplicate of this bug. ***
Comment 96 james 2012-07-04 06:25:20 UTC
Created attachment 72319 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

Dont know if it makes a difference but i had accidently closed the "default panel" and when tried to reopen default panel caused crash. tried to reopen default panel multiple time and crashed every time.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007fc5e86c2f81 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007fc5e86c4092 in ensureDynamicConstraint (this=0x1d4a8a0) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x1d4a8a0) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007fc5e86c4149 in QGridLayoutEngine::hasDynamicConstraint (this=0x1d4a8a0) at graphicsview/qgridlayoutengine.cpp:1677
Comment 97 Chris McCray 2012-07-31 17:41:02 UTC
Created attachment 72855 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

Had been adding applets to the KDE desktop and had closed the default panel. I went to re-open the default panel and KDE/Plasma crashed.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x41) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f49c8a09021 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f49c8a0a132 in ensureDynamicConstraint (this=0xe37790) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0xe37790) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f49c8a0a1e9 in QGridLayoutEngine::hasDynamicConstraint (this=0xe37790) at graphicsview/qgridlayoutengine.cpp:1677
Comment 98 Chris McCray 2012-07-31 17:50:01 UTC
Created attachment 72856 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

Trying to restore the default panel. Having had to close it due to a widget jumping across screen and ending up underneath the default panel (so had to close the default panel to get at the widget and close it), I now cannot re-open the default panel.

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x740065006e002e) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f0e93d1e021 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f0e93d1f132 in ensureDynamicConstraint (this=0x22d7d30) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x22d7d30) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f0e93d1f1e9 in QGridLayoutEngine::hasDynamicConstraint (this=0x22d7d30) at graphicsview/qgridlayoutengine.cpp:1677
Comment 99 Alexander Rossa 2012-08-15 06:52:27 UTC
Created attachment 73174 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:

Rright klick an Desktop to add the default panel, that dosen't exist.
Config: Nvidia Driver, Suse 12.1 x64

-- Backtrace (Reduced):
#6  QGraphicsLayoutItemPrivate::hasHeightForWidth (this=0x0) at graphicsview/qgraphicslayoutitem.cpp:280
#7  0x00007f54d45db021 in QGridLayoutItem::hasDynamicConstraint (this=<optimized out>) at graphicsview/qgridlayoutengine.cpp:576
#8  0x00007f54d45dc132 in ensureDynamicConstraint (this=0x1859f50) at graphicsview/qgridlayoutengine.cpp:1657
#9  QGridLayoutEngine::ensureDynamicConstraint (this=0x1859f50) at graphicsview/qgridlayoutengine.cpp:1652
#10 0x00007f54d45dc1e9 in QGridLayoutEngine::hasDynamicConstraint (this=0x1859f50) at graphicsview/qgridlayoutengine.cpp:1677
Comment 100 Jekyll Wu 2012-09-15 23:12:09 UTC
*** Bug 306858 has been marked as a duplicate of this bug. ***
Comment 101 Jekyll Wu 2012-10-30 08:38:35 UTC
*** Bug 309239 has been marked as a duplicate of this bug. ***
Comment 102 Myriam Schweingruber 2012-11-04 10:07:08 UTC
*** Bug 308985 has been marked as a duplicate of this bug. ***
Comment 103 Myriam Schweingruber 2012-11-04 10:08:36 UTC
Reopening as this is reproducible with KDE 4.9.2
Comment 104 Anne-Marie Mahfouf 2013-01-05 11:39:13 UTC
Is that still valid in 4.10 betas and RCs? I get no crash here.
Comment 105 Shlomi Fish 2013-01-05 14:51:24 UTC
(In reply to comment #104)
> Is that still valid in 4.10 betas and RCs? I get no crash here.

Appears to work fine for me in kdebase4-workspace-4.9.95-1.mga3 on Mageia Linux 3/Cauldron x86-64. You can close it as far as I'm concerned.
Comment 106 Martin Flöser 2013-01-23 15:44:28 UTC
*** Bug 313744 has been marked as a duplicate of this bug. ***
Comment 107 Gerhard Gappmeier 2013-02-07 16:36:11 UTC
I just had the same problem with my fresh installed KDE SC 4.10.

By adding and empty panel and then adding the widgets manually I found out,
that it crashes when the systray widget is added.
Maybe this helps analyzing the problem.
Comment 108 Christoph Feck 2013-02-11 21:08:49 UTC
Bug 314931 is from 4.10.0
Comment 109 Christoph Feck 2013-02-11 21:09:10 UTC
*** Bug 314931 has been marked as a duplicate of this bug. ***
Comment 110 As Long Ago, Rebirth Has Map (anagram of my real name) 2013-02-20 15:22:01 UTC
This bug, i think is caused by different things but is categorized into one general bug (like ADD) because the symptoms are relatively simple in nature and there isn't much feedback beyond the backtrace (which most users won't even interpret). I for one am having this same problem but I think it is probably something to do with some of the kubuntu packages clashing between the ones that came 'stock' with kubuntu-desktop even though they were supposedly removed, and the new ones from the backport ppa. I haven't confirmed this, but I do know that the bug disappears partially if I rename my ~/.kde and ~/.config folders and the bug stops occurring (not sure for how long). However theres another bug I'm not sure if it is related, but the ability to add widgets is sapped out of KDE entirely giving just a blank panel with no buttons or anything else. If anyone else has this problem drop me a line because as far as I know right now its just me. And it is probably because I dont have good opengl support, i had to really mess with it just so i could see the 'window decorations' -- by default it was a blank list box that i just had to point'n'guess and then click apply (invisible list entries because opengl was drawing but the operation not supported so no drawing happens in that case, many times errors are lazily unchecked by developers esp. on a deadline). Hope this helps someone... either that it might make your dev job more of a nightmare!!!
Oh yeah system specs almost forgot:
The machine is a "Stock" Dell PowerEdge 1425SC, you can get the deep specs from their site
unique specs:
2GB of PC3200 ram (4x512mb)
1 Intel Core2 Duo Processor at 2.8ghz 
running Ubuntu Linux 12.10 amd64
running Kde 4.7 "release 10"
it was installed originally as kubuntu, but i uninstalled and upgraded kubuntu-desktop  manually via ppa backport 
HDD: 20GB (loop0 filesystem, "wubi" on a 80gb hdd ntfs)
SWAP: 6GB swap on same hdd as loop0
network: currently bridging eth0/eth1 to br0 and not using the baseboard controller at all (dual 1Gbit)
hmm.. i think thats it oh yeah and this is pretty much a fresh install except for wine 1.5 and thats about it (i have a main machine i do my heavy stuff on)

something that might be important
the problems I've had with KDE seem to be much larger on my x64 machines than my x32 machines. I went ahead and installed 32-bit on my main machine even though I have 4GB memory because of the problems with the 64-bit version of ubuntu, the incompatible libraries (even when adding the architecture to dpkg, etc..) and kde seems to hate it too. I think the kde developers should try to focus their testing on x64 because isn't it backward compatible to x32 anyways (except for addressing) and maybe there should be a list of 'flagged' distros and packages that kde does not play nice with (or not place nice with kde) somewhere, if there is then just smack me for not knowing.. haha
Comment 111 David Edmundson 2013-06-05 23:01:16 UTC
The taskbar applet has been completely rewritten for KDE Workspaces 4.11
The bug that you have reported should not be occurring any more.

Please reopen this bug if you encounter this in 4.11 onwards.
Comment 112 sompom01 2015-09-28 04:35:27 UTC
Since this bug is in the top 100 duplicates of all time, I assume you want it to be reopened, even though everyone else has had no problems for two years...
I have had a crash that meets the same symptoms just tonight on 4.11.11, although I don't know enough about the internals of KDE to compare the backtrace to see if they are actually the same. I will attach the error report file.
Note that I was not able to reproduce the bug, so it could just be some kind of exciting and exceedingly rare race condition (I seem to have a lot more threads going than the majority of other crash reports I looked at :P).

I believe I can't reopen this bug, so I hope someone will read this who can and does.
Comment 113 sompom01 2015-09-28 04:37:23 UTC
Created attachment 94754 [details]
Crash on add default panel with version 4.11.11
Comment 114 Christoph Feck 2015-09-28 09:22:22 UTC
Comment #113 is bug 323679.
Comment 115 Hauke 2017-08-12 21:54:12 UTC
(In reply to sompom01 from comment #112)
> Since this bug is in the top 100 duplicates of all time, I assume you want
> it to be reopened, even though everyone else has had no problems for two
> years...
> I have had a crash that meets the same symptoms just tonight on 4.11.11,
> although I don't know enough about the internals of KDE to compare the
> backtrace to see if they are actually the same. I will attach the error
> report file.
> Note that I was not able to reproduce the bug, so it could just be some kind
> of exciting and exceedingly rare race condition (I seem to have a lot more
> threads going than the majority of other crash reports I looked at :P).
> 
> I believe I can't reopen this bug, so I hope someone will read this who can
> and does.

I think the bug still exists (s. bug 372881), but it's probably a but in Qt and not in plasma.